module utils

import os
import term

const debug = genv_string('PGONS_DEBUG', 'false').bool()

pub fn genv_string(key string, def string) string {
	val := os.getenv(key)
	if val == '' { return def }
	return val
}

pub fn dbg(input string) {
	if debug {
		println('${term.bright_blue('DEBUG')} >> ${term.magenta(input)}')
	}
}
